Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io.mmcif
Class ChemCompConsumer

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.ChemCompConsumer

All Implemented Interfaces:
  MMcifConsumer

    public class ChemCompConsumer

extends Object
implements MMcifConsumer

Constructor Summary
`ChemCompConsumer()`

Method Summary
`void` | `documentEnd()` called at end of document
`void` | `documentStart()` called at start of document
`ChemicalComponentDictionary` | `getDictionary()`
`void` | `newAtomSite(AtomSite atom)` A new AtomSite record has been read.
`void` | `newChemComp(ChemComp c)`
`void` | `newDatabasePDBremark(DatabasePDBremark remark)`
`void` | `newDatabasePDBrev(DatabasePDBrev dbrev)`
`void` | `newEntity(Entity entity)`
`void` | `newEntityPolySeq(EntityPolySeq epolseq)`
`void` | `newExptl(Exptl exptl)`
`void` | `newGenericData(String category, List<String> loopFields, List<String> lineData)` This method is called if no particular handler for the provided cif category has been implemented so far.
`void` | `newPdbxEntityNonPoly(PdbxEntityNonPoly pen)`
`void` | `newPdbxNonPolyScheme(PdbxNonPolyScheme ppss)`
`void` | `newPdbxPolySeqScheme(PdbxPolySeqScheme ppss)`
`void` | `newRefine(Refine r)`
`void` | `newStructAsym(StructAsym sasym)`
`void` | `newStructKeywords(StructKeywords kw)`
`void` | `newStructRef(StructRef sref)`
`void` | `newStructRefSeq(StructRefSeq sref)`
`void` | `setStruct(Struct struct)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChemCompConsumer

    public ChemCompConsumer()

Method Detail

### documentStart

    public void documentStart()

  Description copied from interface: `MMcifConsumer`
  called at start of document

  Specified by:
    `documentStart` in interface `MMcifConsumer`

### getDictionary

    public ChemicalComponentDictionary getDictionary()

### newChemComp

    public void newChemComp(ChemComp c)

  Specified by:
    `newChemComp` in interface `MMcifConsumer`

### documentEnd

    public void documentEnd()

  Description copied from interface: `MMcifConsumer`
  called at end of document

  Specified by:
    `documentEnd` in interface `MMcifConsumer`

### newAtomSite

    public void newAtomSite(AtomSite atom)

  Description copied from interface: `MMcifConsumer`
  A new AtomSite record has been read. Contains the Atom data

  Specified by:
    `newAtomSite` in interface `MMcifConsumer`

### newDatabasePDBremark

    public void newDatabasePDBremark(DatabasePDBremark remark)

  Specified by:
    `newDatabasePDBremark` in interface `MMcifConsumer`

### newDatabasePDBrev

    public void newDatabasePDBrev(DatabasePDBrev dbrev)

  Specified by:
    `newDatabasePDBrev` in interface `MMcifConsumer`

### newEntity

    public void newEntity(Entity entity)

  Specified by:
    `newEntity` in interface `MMcifConsumer`

### newEntityPolySeq

    public void newEntityPolySeq(EntityPolySeq epolseq)

  Specified by:
    `newEntityPolySeq` in interface `MMcifConsumer`

### newExptl

    public void newExptl(Exptl exptl)

  Specified by:
    `newExptl` in interface `MMcifConsumer`

### newPdbxEntityNonPoly

    public void newPdbxEntityNonPoly(PdbxEntityNonPoly pen)

  Specified by:
    `newPdbxEntityNonPoly` in interface `MMcifConsumer`

### newPdbxNonPolyScheme

    public void newPdbxNonPolyScheme(PdbxNonPolyScheme ppss)

  Specified by:
    `newPdbxNonPolyScheme` in interface `MMcifConsumer`

### newPdbxPolySeqScheme

    public void newPdbxPolySeqScheme(PdbxPolySeqScheme ppss)

  Specified by:
    `newPdbxPolySeqScheme` in interface `MMcifConsumer`

### newRefine

    public void newRefine(Refine r)

  Specified by:
    `newRefine` in interface `MMcifConsumer`

### newStructAsym

    public void newStructAsym(StructAsym sasym)

  Specified by:
    `newStructAsym` in interface `MMcifConsumer`

### newStructKeywords

    public void newStructKeywords(StructKeywords kw)

  Specified by:
    `newStructKeywords` in interface `MMcifConsumer`

### newStructRef

    public void newStructRef(StructRef sref)

  Specified by:
    `newStructRef` in interface `MMcifConsumer`

### newStructRefSeq

    public void newStructRefSeq(StructRefSeq sref)

  Specified by:
    `newStructRefSeq` in interface `MMcifConsumer`

### setStruct

    public void setStruct(Struct struct)

  Specified by:
    `setStruct` in interface `MMcifConsumer`

### newGenericData

    public void newGenericData(String category,
                               List<String> loopFields,
                               List<String> lineData)

  Description copied from interface: `MMcifConsumer`
  This method is called if no particular handler for the provided cif category has been implemented so far.

  Specified by:
    `newGenericData` in interface `MMcifConsumer`
  Parameters:
    `category` - The category that is being processed.
    `loopFields` - the fields of this category.
    `lineData` - the data that is being provided.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD